Flecs: ecs_world_stats_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_world_stats_t Struct Reference
C API » Addons » Stats

Type that contains world statistics. More...

`#include <stats.h>`

## Public Attributes
int64_t | first_
| Used for field iteration.
struct { |
ecs_metric_t count |
| Number of entities. More...
ecs_metric_t not_alive_count |
| Number of not alive (recyclable) entity IDs. More...
} | entities
struct { |
ecs_metric_t tag_count |
| Number of tag IDs (IDs without data). More...
ecs_metric_t component_count |
| Number of component IDs (IDs with data). More...
ecs_metric_t pair_count |
| Number of pair IDs. More...
ecs_metric_t type_count |
| Number of registered types. More...
ecs_metric_t create_count |
| Number of times an ID has been created. More...
ecs_metric_t delete_count |
| Number of times an ID has been deleted. More...
} | components
struct { |
ecs_metric_t count |
| Number of tables. More...
ecs_metric_t empty_count |
| Number of empty tables. More...
ecs_metric_t create_count |
| Number of times table has been created. More...
ecs_metric_t delete_count |
| Number of times table has been deleted. More...
} | tables
struct { |
ecs_metric_t query_count |
| Number of queries. More...
ecs_metric_t observer_count |
| Number of observers. More...
ecs_metric_t system_count |
| Number of systems. More...
} | queries
struct { |
ecs_metric_t add_count |
| Number of add commands. More...
ecs_metric_t remove_count |
| Number of remove commands. More...
ecs_metric_t delete_count |
| Number of delete commands. More...
ecs_metric_t clear_count |
| Number of clear commands. More...
ecs_metric_t set_count |
| Number of set commands. More...
ecs_metric_t ensure_count |
| Number of ensure commands. More...
ecs_metric_t modified_count |
| Number of modified commands. More...
ecs_metric_t other_count |
| Number of other commands. More...
ecs_metric_t discard_count |
| Number of discarded commands. More...
ecs_metric_t batched_entity_count |
| Number of entities for which commands were batched. More...
ecs_metric_t batched_count |
| Number of commands batched. More...
} | commands
struct { |
ecs_metric_t frame_count |
| Number of frames processed. More...
ecs_metric_t merge_count |
| Number of merges executed. More...
ecs_metric_t rematch_count |
| Number of query rematches. More...
ecs_metric_t pipeline_build_count |
| Number of system pipeline rebuilds (occurs when an inactive system becomes active). More...
ecs_metric_t systems_ran |
| Number of systems run. More...
ecs_metric_t observers_ran |
| Number of times an observer was invoked. More...
ecs_metric_t event_emit_count |
| Number of events emitted. More...
} | frame
struct { |
ecs_metric_t world_time_raw |
| Actual time passed since simulation start (first time progress() is called). More...
ecs_metric_t world_time |
| Simulation time passed since simulation start. More...
ecs_metric_t frame_time |
| Time spent processing a frame. More...
ecs_metric_t system_time |
| Time spent on running systems. More...
ecs_metric_t emit_time |
| Time spent on notifying observers. More...
ecs_metric_t merge_time |
| Time spent on merging commands. More...
ecs_metric_t rematch_time |
| Time spent on rematching. More...
ecs_metric_t fps |
| Frames per second. More...
ecs_metric_t delta_time |
| Delta time. More...
} | performance
struct { |
ecs_metric_t alloc_count |
| Allocs per frame. More...
ecs_metric_t realloc_count |
| Reallocs per frame. More...
ecs_metric_t free_count |
| Frees per frame. More...
ecs_metric_t outstanding_alloc_count |
| Difference between allocs and frees. More...
ecs_metric_t block_alloc_count |
| Block allocations per frame. More...
ecs_metric_t block_free_count |
| Block frees per frame. More...
ecs_metric_t block_outstanding_alloc_count |
| Difference between allocs and frees. More...
ecs_metric_t stack_alloc_count |
| Page allocations per frame. More...
ecs_metric_t stack_free_count |
| Page frees per frame. More...
ecs_metric_t stack_outstanding_alloc_count |
| Difference between allocs and frees. More...
} | memory
struct { |
ecs_metric_t request_received_count |
| Number of HTTP requests received. More...
ecs_metric_t request_invalid_count |
| Number of invalid HTTP requests. More...
ecs_metric_t request_handled_ok_count |
| Number of successfully handled HTTP requests. More...
ecs_metric_t request_handled_error_count |
| Number of HTTP requests with error response. More...
ecs_metric_t request_not_handled_count |
| Number of unhandled HTTP requests. More...
ecs_metric_t request_preflight_count |
| Number of preflight HTTP requests. More...
ecs_metric_t send_ok_count |
| Number of successful HTTP responses sent. More...
ecs_metric_t send_error_count |
| Number of HTTP responses with send error. More...
ecs_metric_t busy_count |
| Number of times server was busy. More...
} | http
int64_t | last_
| Used for field iteration.
int32_t | t
| Current position in ring buffer.

## Detailed Description

Type that contains world statistics.

Definition at line 63 of file stats.h.

## Member Data Documentation

## ◆ add_count

ecs_metric_t ecs_world_stats_t::add_count

Number of add commands.

Definition at line 99 of file stats.h.

## ◆ alloc_count

ecs_metric_t ecs_world_stats_t::alloc_count

Allocs per frame.

Definition at line 138 of file stats.h.

## ◆ batched_count

ecs_metric_t ecs_world_stats_t::batched_count

Number of commands batched.

Definition at line 109 of file stats.h.

## ◆ batched_entity_count

ecs_metric_t ecs_world_stats_t::batched_entity_count

Number of entities for which commands were batched.

Definition at line 108 of file stats.h.

## ◆ block_alloc_count

ecs_metric_t ecs_world_stats_t::block_alloc_count

Block allocations per frame.

Definition at line 144 of file stats.h.

## ◆ block_free_count

ecs_metric_t ecs_world_stats_t::block_free_count

Block frees per frame.

Definition at line 145 of file stats.h.

## ◆ block_outstanding_alloc_count

ecs_metric_t ecs_world_stats_t::block_outstanding_alloc_count

Difference between allocs and frees.

Definition at line 146 of file stats.h.

## ◆ busy_count

ecs_metric_t ecs_world_stats_t::busy_count

Number of times server was busy.

Definition at line 162 of file stats.h.

## ◆ clear_count

ecs_metric_t ecs_world_stats_t::clear_count

Number of clear commands.

Definition at line 102 of file stats.h.

## ◆ component_count

ecs_metric_t ecs_world_stats_t::component_count

Number of component IDs (IDs with data).

Definition at line 75 of file stats.h.

## ◆ count

ecs_metric_t ecs_world_stats_t::count

Number of entities.

Number of tables.

Definition at line 68 of file stats.h.

## ◆ create_count

ecs_metric_t ecs_world_stats_t::create_count

Number of times an ID has been created.

Number of times table has been created.

Definition at line 78 of file stats.h.

## ◆ delete_count

ecs_metric_t ecs_world_stats_t::delete_count

Number of times an ID has been deleted.

Number of delete commands.

Number of times table has been deleted.

Definition at line 79 of file stats.h.

## ◆ delta_time

ecs_metric_t ecs_world_stats_t::delta_time

Delta time.

Definition at line 133 of file stats.h.

## ◆ discard_count

ecs_metric_t ecs_world_stats_t::discard_count

Number of discarded commands.

Definition at line 107 of file stats.h.

## ◆ emit_time

ecs_metric_t ecs_world_stats_t::emit_time

Time spent on notifying observers.

Definition at line 129 of file stats.h.

## ◆ empty_count

ecs_metric_t ecs_world_stats_t::empty_count

Number of empty tables.

Definition at line 85 of file stats.h.

## ◆ ensure_count

ecs_metric_t ecs_world_stats_t::ensure_count

Number of ensure commands.

Definition at line 104 of file stats.h.

## ◆ event_emit_count

ecs_metric_t ecs_world_stats_t::event_emit_count

Number of events emitted.

Definition at line 120 of file stats.h.

## ◆ first_

int64_t ecs_world_stats_t::first_

Used for field iteration.

Do not set.

Definition at line 64 of file stats.h.

## ◆ fps

ecs_metric_t ecs_world_stats_t::fps

Frames per second.

Definition at line 132 of file stats.h.

## ◆ frame_count

ecs_metric_t ecs_world_stats_t::frame_count

Number of frames processed.

Definition at line 114 of file stats.h.

## ◆ frame_time

ecs_metric_t ecs_world_stats_t::frame_time

Time spent processing a frame.

Smaller than world_time_total when load is not 100%.

Definition at line 127 of file stats.h.

## ◆ free_count

ecs_metric_t ecs_world_stats_t::free_count

Frees per frame.

Definition at line 140 of file stats.h.

## ◆ last_

int64_t ecs_world_stats_t::last_

Used for field iteration.

Do not set.

Definition at line 165 of file stats.h.

## ◆ merge_count

ecs_metric_t ecs_world_stats_t::merge_count

Number of merges executed.

Definition at line 115 of file stats.h.

## ◆ merge_time

ecs_metric_t ecs_world_stats_t::merge_time

Time spent on merging commands.

Definition at line 130 of file stats.h.

## ◆ modified_count

ecs_metric_t ecs_world_stats_t::modified_count

Number of modified commands.

Definition at line 105 of file stats.h.

## ◆ not_alive_count

ecs_metric_t ecs_world_stats_t::not_alive_count

Number of not alive (recyclable) entity IDs.

Definition at line 69 of file stats.h.

## ◆ observer_count

ecs_metric_t ecs_world_stats_t::observer_count

Number of observers.

Definition at line 93 of file stats.h.

## ◆ observers_ran

ecs_metric_t ecs_world_stats_t::observers_ran

Number of times an observer was invoked.

Definition at line 119 of file stats.h.

## ◆ other_count

ecs_metric_t ecs_world_stats_t::other_count

Number of other commands.

Definition at line 106 of file stats.h.

## ◆ outstanding_alloc_count

ecs_metric_t ecs_world_stats_t::outstanding_alloc_count

Difference between allocs and frees.

Definition at line 141 of file stats.h.

## ◆ pair_count

ecs_metric_t ecs_world_stats_t::pair_count

Number of pair IDs.

Definition at line 76 of file stats.h.

## ◆ pipeline_build_count

ecs_metric_t ecs_world_stats_t::pipeline_build_count

Number of system pipeline rebuilds (occurs when an inactive system becomes active).

Definition at line 117 of file stats.h.

## ◆ query_count

ecs_metric_t ecs_world_stats_t::query_count

Number of queries.

Definition at line 92 of file stats.h.

## ◆ realloc_count

ecs_metric_t ecs_world_stats_t::realloc_count

Reallocs per frame.

Definition at line 139 of file stats.h.

## ◆ rematch_count

ecs_metric_t ecs_world_stats_t::rematch_count

Number of query rematches.

Definition at line 116 of file stats.h.

## ◆ rematch_time

ecs_metric_t ecs_world_stats_t::rematch_time

Time spent on rematching.

Definition at line 131 of file stats.h.

## ◆ remove_count

ecs_metric_t ecs_world_stats_t::remove_count

Number of remove commands.

Definition at line 100 of file stats.h.

## ◆ request_handled_error_count

ecs_metric_t ecs_world_stats_t::request_handled_error_count

Number of HTTP requests with error response.

Definition at line 157 of file stats.h.

## ◆ request_handled_ok_count

ecs_metric_t ecs_world_stats_t::request_handled_ok_count

Number of successfully handled HTTP requests.

Definition at line 156 of file stats.h.

## ◆ request_invalid_count

ecs_metric_t ecs_world_stats_t::request_invalid_count

Number of invalid HTTP requests.

Definition at line 155 of file stats.h.

## ◆ request_not_handled_count

ecs_metric_t ecs_world_stats_t::request_not_handled_count

Number of unhandled HTTP requests.

Definition at line 158 of file stats.h.

## ◆ request_preflight_count

ecs_metric_t ecs_world_stats_t::request_preflight_count

Number of preflight HTTP requests.

Definition at line 159 of file stats.h.

## ◆ request_received_count

ecs_metric_t ecs_world_stats_t::request_received_count

Number of HTTP requests received.

Definition at line 154 of file stats.h.

## ◆ send_error_count

ecs_metric_t ecs_world_stats_t::send_error_count

Number of HTTP responses with send error.

Definition at line 161 of file stats.h.

## ◆ send_ok_count

ecs_metric_t ecs_world_stats_t::send_ok_count

Number of successful HTTP responses sent.

Definition at line 160 of file stats.h.

## ◆ set_count

ecs_metric_t ecs_world_stats_t::set_count

Number of set commands.

Definition at line 103 of file stats.h.

## ◆ stack_alloc_count

ecs_metric_t ecs_world_stats_t::stack_alloc_count

Page allocations per frame.

Definition at line 147 of file stats.h.

## ◆ stack_free_count

ecs_metric_t ecs_world_stats_t::stack_free_count

Page frees per frame.

Definition at line 148 of file stats.h.

## ◆ stack_outstanding_alloc_count

ecs_metric_t ecs_world_stats_t::stack_outstanding_alloc_count

Difference between allocs and frees.

Definition at line 149 of file stats.h.

## ◆ system_count

ecs_metric_t ecs_world_stats_t::system_count

Number of systems.

Definition at line 94 of file stats.h.

## ◆ system_time

ecs_metric_t ecs_world_stats_t::system_time

Time spent on running systems.

Definition at line 128 of file stats.h.

## ◆ systems_ran

ecs_metric_t ecs_world_stats_t::systems_ran

Number of systems run.

Definition at line 118 of file stats.h.

## ◆ t

int32_t ecs_world_stats_t::t

Current position in ring buffer.

Definition at line 168 of file stats.h.

## ◆ tag_count

ecs_metric_t ecs_world_stats_t::tag_count

Number of tag IDs (IDs without data).

Definition at line 74 of file stats.h.

## ◆ type_count

ecs_metric_t ecs_world_stats_t::type_count

Number of registered types.

Definition at line 77 of file stats.h.

## ◆ world_time

ecs_metric_t ecs_world_stats_t::world_time

Simulation time passed since simulation start.

Takes into account time scaling.

Definition at line 126 of file stats.h.

## ◆ world_time_raw

ecs_metric_t ecs_world_stats_t::world_time_raw

Actual time passed since simulation start (first time progress() is called).

Definition at line 125 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h